Build #3 for intricacy-0.7.2

[all reports]

Package intricacy-0.7.2
Install DependencyFailed intricacy-0.7.2
Docs NotTried
Tests NotTried
Time submitted 2019-01-20 17:10:59.577702131 UTC
Compiler ghc-8.6.3
OS linux
Arch x86_64
Dependencies RSA-2.3.1, SDL-0.6.7.0, SDL-gfx-0.7.0.0, SDL-mixer-0.6.3.0, SDL-ttf-0.6.3.0, array-0.5.3.0, base-4.12.0.0, binary-0.8.6.0, bytestring-0.10.8.2, containers-0.6.0.1, crypto-api-0.13.3, crypto-pubkey-types-0.4.3, cryptohash-0.11.9, directory-1.3.3.0, filepath-1.4.2.1, hscurses-1.4.2.0, mtl-2.2.2, network-fancy-0.2.4, random-1.1, safe-0.3.17, stm-2.5.0.0, time-1.8.0.2, transformers-0.5.5.0, vector-0.12.0.2
Flags curses game sdl -server sound

Build log

[view raw]

Warning: The install command is a part of the legacy v1 style of cabal usage.

Please switch to using either the new project style and the new-install
command or the legacy v1-install alias as new-style projects will become the
default in the next version of cabal-install. Please file a bug if you cannot
replicate a working v1- use case with the new-style commands.

For more information, see: https://wiki.haskell.org/Cabal/NewBuild

Resolving dependencies...
Starting     byteable-0.1.1
Starting     SDL-0.6.7.0
Starting     basement-0.0.8
Starting     SHA-1.6.4.4
Building     byteable-0.1.1
Building     basement-0.0.8
Building     SHA-1.6.4.4
Completed    byteable-0.1.1
Starting     cereal-0.5.8.0
Building     cereal-0.5.8.0
Failed to install SDL-0.6.7.0
Build log ( /home/builder/.cabal/logs/ghc-8.6.3/SDL-0.6.7.0-9Iyt7MC901YJcCtCC5SOiq.log ):
cabal: Entering directory '/tmp/cabal-tmp-10920/SDL-0.6.7.0'
[1 of 1] Compiling Main             ( /tmp/cabal-tmp-10920/SDL-0.6.7.0/dist/setup/setup.hs, /tmp/cabal-tmp-10920/SDL-0.6.7.0/dist/setup/Main.o )
Linking /tmp/cabal-tmp-10920/SDL-0.6.7.0/dist/setup/setup ...
Configuring SDL-0.6.7.0...
configure: WARNING: unrecognized options: --with-compiler
checking for sdl-config... no
checking for sdl11-config... no
configure: error: *** SDL not found! Get SDL from www.libsdl.org.
If you already installed it, check it's in the path. If problem remains,
please send a mail to the address that appears in ./configure --version
indicating your platform, the version of configure script and the problem.
cabal: Leaving directory '/tmp/cabal-tmp-10920/SDL-0.6.7.0'
Starting     entropy-0.4.1.4
Building     entropy-0.4.1.4
Completed    entropy-0.4.1.4
Completed    SHA-1.6.4.4
Completed    cereal-0.5.8.0
Completed    basement-0.0.8
cabal: Error: some packages failed to install:
SDL-0.6.7.0-9Iyt7MC901YJcCtCC5SOiq failed during the configure step. The
exception was:
ExitFailure 1
SDL-gfx-0.7.0.0-BAEFPd9WWKrKmTT6tjTz2O depends on SDL-gfx-0.7.0.0 which failed
to install.
SDL-mixer-0.6.3.0-KhygYvOriJ32CPRMFY7Wb depends on SDL-mixer-0.6.3.0 which
failed to install.
SDL-ttf-0.6.3.0-EZRJNcD6Shp22IQz3Fjt6S depends on SDL-ttf-0.6.3.0 which failed
to install.
intricacy-0.7.2-IF5M9bXCgZF506kXSzWX6J depends on intricacy-0.7.2 which failed
to install.